/*
 * BaseFrame.java
 *
 * Created on 2. Juni 2006, 16:01
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package java2d2;

/**
 *
 * @author arnd
 */
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.*;
import com.sun.image.codec.jpeg.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
public class BaseFrame extends JFrame {
    private static BufferedImage mImage;
    public static void main(String[] args) throws Exception {
        new BaseFrame();
        
    }
    
    public BaseFrame()
    throws IOException, ImageFormatException {
        // Load the specified JPEG file.
        InputStream in=this.getClass().getResourceAsStream("image.jpg");
        JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder(in);
        mImage = decoder.decodeAsBufferedImage();
        in.close();
        
        setSize(mImage.getWidth(), mImage.getHeight());
        setLocation(200, 200);
        setVisible(true);
        setResizable(false);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        
    }
    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        g2.drawImage(mImage, 0, 0, null);
    }
    
}
